=== liteidex/src/3rdparty/ptyqt/examples/CMakeLists.txt ===
add_subdirectory(xtermjs)
#add_subdirectory(vt100terminal)
