=== liteidex/src/3rdparty/qjsonrpc/debian/changelog ===
qjsonrpc (1.0) precise; urgency=low

  * initial packaging of qjsonrpc

 -- Devon IT Support <support@devonit.com>  Thu, 17 Jan 2013 15:49:50 -0500
