=== liteidex/src/3rdparty/qjsonrpc/debian/control ===
Source: qjsonrpc
Section: libs
Priority: extra
Maintainer: Devon IT Developers <development@devonit.com>
Build-Depends: libqt4-dev (>= 4.8),
               cdbs (>= 0.4.41),
               debhelper (>= 5.0.37.2)
Standards-Version: 3.7.2
Homepage: http://symbiosoft.net/projects/qjsonrpc
Vcs-Git: git://gitorious.org/qjsonrpc/qjsonrpc.git
Vcs-Browser: https://gitorious.org/qjsonrpc/

Package: libqjsonrpc
Section: libs
Architecture: any
Depends: libqtcore4 (>= 4.8),
         libqt4-network (>= 4.8),
         ${shlibs:Depends},
         ${misc:Depends}
Description: The qjsonrpc library is a Qt implementation of the
 JSON-RPC ( http://jsonrpc.org/ ) protocol

Package: libqjsonrpc-dev
Section: libdevel
Architecture: any
Depends: libqjsonrpc (= ${binary:Version})
Description: Development files for the qjsonrpc library
