=== liteidex/src/3rdparty/qjsonrpc/debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

DEB_QMAKE_ARGS = "PREFIX=/usr"
